(*
 *    The MailUtl3, a POP3 proxy.
 *    Copyright (C) 2002-2006  Fumio KAWAMATA
 *
 *    The POP3 proxy function is mounted on November 2005.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License version 2 as
 *    published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License version 2 for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    version 2 along with this program.
 *
 *)
program MailUtl3;

{DEFINE Debug}
(* Comment the compiler directive above before release. *)


uses
  MemCheck in '..\..\..\MemCheck2.73\MemCheck.pas',
  Forms,
  Windows,
  SysUtils,
  MailUtl3_Main in 'MailUtl3_Main.pas' {FormMain},
  MailUtl3_Settings in 'MailUtl3_Settings.pas',
  MailUtl3_Global in 'MailUtl3_Global.pas',
  Splash in 'Splash.pas' {FormSplash};

{$R *.res}

var
  S: String;
begin
  Application.Initialize;

  S:=ExtractFilePath(ParamStr(0));
  if FileExists(ChangeFileExt(ParamStr(0), '.BMP')) then
  begin
    FormSplash:=TFormSplash.Create(Application);
    FormSplash.Show;
    FormSplash.Refresh;
    Sleep(1000); (* 1 second *)
  end;
  (* The program display the splash form at least one second.
   * You must execute FormSplash.Free; in FormMain.FormCreate event.
   *)

  Application.ShowMainForm := False;
  ShowWindow(Application.Handle, SW_HIDE);
  SetWindowLong(Application.Handle, GWL_EXSTYLE,
  GetWindowLong(Application.Handle, GWL_EXSTYLE) or WS_EX_TOOLWINDOW);

  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormSettings, FormSettings);
  Application.Run;
end.

