(*
 *    Splash.pas
 *    Copyright (C) At about 1995-2007  Fumio KAWAMATA
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License version 2 as
 *    published by the Free Software Foundation.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License version 2 for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    version 2 along with this program.
 *
 *)
unit Splash;

(* See the project file how to use this Splash unit. *)

interface

uses
   SysUtils, Forms, Classes, Controls, ExtCtrls;

type
  TFormSplash = class(TForm)
    ImageSplash: TImage;
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  FormSplash: TFormSplash;

implementation

{$R *.DFM}

procedure TFormSplash.FormCreate(Sender: TObject);
var
  FileName: String;
begin
  Self.AlphaBlend:=True; (* Transparent the form. *)
  Self.BorderStyle:=bsNone;
  Self.Position:=poScreenCenter;
  FileName:=ChangeFileExt(ParamStr(0), '.BMP');
  (* The file exsiting check is not needed.  Because it must have been checked
   * before this procedure call in the project file.
   *)
  try
    ImageSplash.Picture.LoadFromFile(FileName);
    Self.Width:=ImageSplash.Picture.Width;
    Self.Height:=ImageSplash.Picture.Height;
  except
    (* Do nothing even if a error has happend. *)
  end;
end;

end.
